Bug 68789 - Unmounting CD ROM from within X exits running terminal
Unmounting CD ROM from within X exits running terminal
Product: Red Hat Public Beta
Classification: Retired
Component: mount (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Brian Brock
Depends On:
Blocks: 67217
  Show dependency treegraph
Reported: 2002-07-14 03:28 EDT by Need Real Name
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-04 05:38:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
output from 'strace -f -t -o mount.trc mount /mnt/cdrom' (9.79 KB, text/plain)
2002-07-23 00:20 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2002-07-14 03:28:48 EDT
Description of Problem:
When in X and unmounting a mounted CD drive using the icon on the desktop the
system closes any running terminals as well.

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:
1. mount a cdrom
2. start a terminal
3. unmount the cdrom

Actual Results:
The drive is unmounted correctly, but the terminal is also closed.

Expected Results:
The terminal should not be closed.

Additional Information:
Comment 1 Need Real Name 2002-07-14 03:31:50 EDT
The terminal also seems to disappear when you mount the cd drive also.

I should point out that I am mounting the drive using the popup menu on the
desktop, then the Disks-->CDROM menu option.

To unmount I was using the popup menu on the icon that appears on the desktop.
Comment 2 Need Real Name 2002-07-14 03:33:03 EDT
The same problem occurs if you issue the mount and umount commands from the
terminal also.
Comment 3 Bill Nottingham 2002-07-14 21:09:54 EDT
Comment 4 Need Real Name 2002-07-15 02:39:13 EDT
This is from Gnome.
Comment 5 Need Real Name 2002-07-23 00:16:12 EDT
Actually this seems to kill ALL running terminals...
Comment 6 Need Real Name 2002-07-23 00:20:19 EDT
Created attachment 66450 [details]
output from 'strace -f -t -o mount.trc mount /mnt/cdrom'
Comment 7 Need Real Name 2002-08-04 05:38:50 EDT
This does not seem to happen in limbo beta 2. Great! :)

Note You need to log in before you can comment on or make changes to this bug.